Platform Images - Get
Retourneert de aangevraagde platforminstallatiekopieën.
Retourneert de specifieke platforminstallatiekopieën die overeenkomen met publisher, aanbieding, skus en versie.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Compute.Admin/locations/{location}/artifactTypes/platformImage/publishers/{publisher}/offers/{offer}/skus/{sku}/versions/{version}?api-version=2015-12-01-preview
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string |
Locatie van de resource. |
|
offer
|
path | True |
string |
Naam van de aanbieding. |
|
publisher
|
path | True |
string |
Naam van de uitgever. |
|
sku
|
path | True |
string |
Naam van de SKU. |
|
subscription
|
path | True |
string |
Abonnementsreferenties waarmee het Microsoft Azure-abonnement uniek wordt geïdentificeerd. De abonnements-id maakt deel uit van de URI voor elke serviceoproep. |
|
version
|
path | True |
string |
De versie van de resource. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
Veelvoorkomende foutreactie voor alle Azure Resource Manager-API's om foutdetails te retourneren voor mislukte bewerkingen. (Dit volgt ook de OData-foutreactieindeling.) |
Beveiliging
azure_auth
Autorisatie maakt gebruik van een Azure Active Directory OAuth2-stroom.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Get a platform image by name.
Voorbeeldaanvraag
GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Compute.Admin/locations/local/artifactTypes/platformImage/publishers/Canonical/offers/UbuntuServer/skus/16.04-:LTS/versions/16.04?api-version=2015-12-01-preview
Voorbeeldrespons
{
"id": "/subscriptions/8158498d-27b1-4ccf-9aa1-de0f925731e6/providers/Microsoft.Compute.Admin/locations/local/artifactTypes/platformImage/publishers/Canonical/offers/UbuntuServer/skus/16.04-LTS/versions/1.0.0",
"type": "Microsoft.Compute.Admin/locations/artifactTypes/publishers/offers/skus/versions",
"location": "local",
"properties": {
"osDisk": {
"osType": "Linux",
"uri": "https://test.blob.local.azurestack.external/test/medium.vhd"
},
"provisioningState": "Creating"
}
}
Definities
| Name | Description |
|---|---|
|
Crp |
Foutreactie |
|
Data |
Informatie over datadisk. |
|
Error |
De foutdetails. |
|
Image |
Informatie over de schijfinstallatiekopieën. |
|
Os |
Besturingssysteemschijf. |
|
Os |
Type besturingssysteem. |
|
Platform |
Platforminstallatiekopieën vertegenwoordigen een virtuele machine. |
|
Provisioning |
De inrichtingsstatus van de resource. |
CrpErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
DataDisk
Informatie over datadisk.
| Name | Type | Description |
|---|---|---|
| lun |
integer (int32) |
Nummer van logische eenheid. |
| uri |
string |
Locatie van de schijfsjabloon. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| code |
string |
De foutcode. |
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoel. |
ImageDetails
Informatie over de schijfinstallatiekopieën.
| Name | Type | Description |
|---|---|---|
| billingPartNumber |
string |
Het onderdeelnummer wordt gebruikt voor het factureren van softwarekosten. |
OsDisk
Besturingssysteemschijf.
| Name | Type | Description |
|---|---|---|
| osType |
Type besturingssysteem. |
|
| uri |
string |
Locatie van de schijf. |
OsType
Type besturingssysteem.
| Waarde | Description |
|---|---|
| Unknown | |
| Windows | |
| Linux |
PlatformImage
Platforminstallatiekopieën vertegenwoordigen een virtuele machine.
| Name | Type | Description |
|---|---|---|
| id |
string |
Id van de resource. |
| location |
string |
Locatie van de resource. |
| name |
string |
Naam van de resource. |
| properties.dataDisks |
Data |
Gegevensschijven die worden gebruikt door de platforminstallatiekopieën. |
| properties.details |
Informatie over de afbeelding. |
|
| properties.osDisk |
Het besturingssysteem dat wordt gebruikt voor deze platforminstallatiekopieën. |
|
| properties.provisioningState |
Inrichtingsstatus van de platforminstallatiekopieën. |
|
| type |
string |
Soort bron. |
ProvisioningState
De inrichtingsstatus van de resource.
| Waarde | Description |
|---|---|
| Creating | |
| Failed | |
| Succeeded | |
| Canceled |